#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <GetButton1.h>
#include <SetTraceV2BeepParallel.h>
#include <SetTenthS.h>
#include <GetTraceV2Parallel.h>
#include <SetLCD3Char.h>

int main(void)
{
    X1RCU_Init();
    unsigned int btn1 = 0;
    unsigned int var0 = 0;
    unsigned int var1 = 0;
    SetLCDBack(1);
    while (1)
    {
        btn1 = GetButton1();
        if ( btn1==1 )
        {
            SetTraceV2BeepParallel(1);
            SetTraceV2BeepParallel(2);
            SetTenthS(5);
        }
        var0 = GetTraceV2Parallel(1);
        var1 = GetTraceV2Parallel(2);
        SetLCD3Char(32, 0, var0);
        SetLCD3Char(64, 0, var1);
    }
    return 1;
}

